import { HttpStatus, HttpException } from '@nestjs/common';
import { PaisService } from './pais.service';
import { Pais } from './pais.entity';
import { CreatePaisDto } from './dto/create-pais.dto';
import { UpdatePaisDto } from './dto/update-pais.dto';
export declare class PaisController {
    private paisService;
    constructor(paisService: PaisService);
    getPaisAll(): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        departamento: {
            created_at: string;
            updated_at: string;
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            pais_id: number;
            pais: Pais;
            provincia: import("../provincia/provincia.entity").Provincia[];
        }[];
        id: number;
        nombre: string;
        codigo_telefono: string;
        deleted_at: Date;
    }[]>;
    getPais(page: number, limit: number): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                departamento: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    pais_id: number;
                    pais: Pais;
                    provincia: import("../provincia/provincia.entity").Provincia[];
                }[];
                id: number;
                nombre: string;
                codigo_telefono: string;
                deleted_at: Date;
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getUserSearch(page: number, limit: number, body: Record<string, any>): Promise<{
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                departamento: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    pais_id: number;
                    pais: Pais;
                    provincia: import("../provincia/provincia.entity").Provincia[];
                }[];
                id: number;
                nombre: string;
                codigo_telefono: string;
                deleted_at: Date;
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getPaisById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        departamento: {
            created_at: string;
            updated_at: string;
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            pais_id: number;
            pais: Pais;
            provincia: import("../provincia/provincia.entity").Provincia[];
        }[];
        id: number;
        nombre: string;
        codigo_telefono: string;
        deleted_at: Date;
    }>;
    createPais(newPais: CreatePaisDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            departamento: {
                created_at: string;
                updated_at: string;
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                pais_id: number;
                pais: Pais;
                provincia: import("../provincia/provincia.entity").Provincia[];
            }[];
            id: number;
            nombre: string;
            codigo_telefono: string;
            deleted_at: Date;
        };
        status: HttpStatus;
        message: string;
    }>;
    updatePais(id: number, pais: UpdatePaisDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            codigo_telefono: string;
            deleted_at: Date;
            departamento: import("../departamento/departamento.entity").Departamento[];
        };
        status: HttpStatus;
        message: string;
    }>;
    deletePais(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
